VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Create 997 Acknowledgment and file transfer."
   ClientHeight    =   2340
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7005
   LinkTopic       =   "Form1"
   ScaleHeight     =   2340
   ScaleWidth      =   7005
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Height          =   375
      Left            =   5280
      TabIndex        =   1
      Top             =   1680
      Width           =   1095
   End
   Begin VB.CommandButton cmdTranslate 
      Caption         =   "Translate"
      Height          =   375
      Left            =   3720
      TabIndex        =   0
      Top             =   1680
      Width           =   1095
   End
   Begin VB.Label Label1 
      Caption         =   $"Form1.frx":0000
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1215
      Left            =   120
      TabIndex        =   2
      Top             =   240
      Width           =   6735
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private spath As String


Private Sub cmdClose_Click()
    
    Unload Me
    
End Sub

Private Sub cmdTranslate_Click()
    Dim oEdiDoc As Fredi.ediDocument
    Dim oAck As Fredi.ediAcknowledgment
    Dim oSegment As Fredi.ediDataSegment
    Dim oIsa As Fredi.ediDataSegment
    Dim oTransports As Fredi.ediTransports
    Dim oTransport As Fredi.ediTransport
    Dim sSefFile As String
    Dim sEdiFile As String
    Dim sAckfile As String
    
    
    cmdTranslate.Enabled = False
    Me.MousePointer = vbHourglass
    
    Set oEdiDoc = New Fredi.ediDocument
    
    Set oAck = oEdiDoc.GetAcknowledgment
    
    sEdiFile = spath & "850.TXT"
    sAckfile = spath & "997_850.TXT"
        
    oEdiDoc.LoadSchema spath & "850.SEF", 0
    
    'Create acknowldgment when EDI file gets loaded
    oAck.EnableFunctionalAcknowledgment = True
    oAck.AcceptSetWithErrors = True
    oAck.AcceptGroupWithErrors = True
    
    oEdiDoc.LoadEdi sEdiFile
    
    ' Send EDI file using FTP and SMTP
    Set oTransports = oEdiDoc.GetTransports
    
    ' Send as FTP
    Set oTransport = oTransports.CreateTransport
    oTransport.SetFTP   ' FTP
    oTransport.Address = "www.yourdomain.com"
    oTransport.Password = "YourUserID"
    oTransport.User = "YourPassword"
    
    ' Also send as email
    Set oTransport = oTransports.CreateTransport
    oTransport.SetSMTP   ' SFTP
    oTransport.Address = "name@domain.com"
    oTransport.DisplayName = "Your name"
    oTransport.Message = "Please see EDI file"
    oTransport.Subject = "EDI file"
    
    oTransports.Send
        
    'modify ISA segment of 997
    Set oSegment = oAck.GetFirst997DataSegment
    oSegment.DataElementValue("I08") = "010101"  ' Change date
    oSegment.DataElementValue("I09") = "110130"  ' Change time
    
    'modify GS segment of 997
    Set oSegment = oSegment.GetDataSegmentByPos("\ISA\GS\GS")
    oSegment.DataElementValue(1) = "FA"
    
    ' Sending Acknowledgment
    Set oTransports = oAck.Get997Transport
    ' Send Acknowledgment using FTP
    Set oTransport = oTransports.CreateTransport
    oTransport.SetFTP   ' FTP
    oTransport.Address = "www.domainname.com"
    oTransport.Password = "YourPassword"
    oTransport.User = "YourUserID"
    oTransports.Send "997_850.TXT"
    
    Me.MousePointer = vbNormal
    MsgBox "Done."
    Set oEdiDoc = Nothing
    Set oAck = Nothing
    
    
End Sub

Private Sub Form_Load()
    
    spath = App.Path & "\"

End Sub
